This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### magSq()
Examples |
    PVector v;

    void setup() {
      v = new PVector(20.0, 30.0, 40.0);
      float m = v.magSq();
      println(m);  // Prints "2900.0"
    }
Description | Calculates the magnitude (length) of the vector, squared. This method is often used to improve performance since, unlike mag(), it does not require a sqrt() operation.
Syntax |
    .magSq()
Returns | float
Related | mag()

Updated on October 26, 2013 08:58:33pm PDT